﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Map;

namespace SilverlightMapRadWindow
{
	public partial class MainPage : UserControl
	{
		internal const string BingApplicationId = "YOUR Bing ApplicationId";

		public MainPage()
		{
			InitializeComponent();

			this.radMap.Provider = new BingMapProvider(MapMode.Aerial, true, BingApplicationId);
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			var page = new GeocodingChildWindow();
			page.radMap.Center = this.radMap.Center;
			page.ShowDialog();
		}
	}
}
